Bug 135842 - Loud noise caused by kmix default setup (alsa, ensoniq audiopci)
Loud noise caused by kmix default setup (alsa, ensoniq audiopci)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdemultimedia (Show other bugs)
2
All Linux
medium Severity low
: ---
: ---
Assigned To: Petr Rockai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-15 07:21 EDT by Scott R. Godin
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: alsa-utils-1.0.11-4.rc2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-30 12:20:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott R. Godin 2004-10-15 07:21:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041001
Firefox/0.10.1

Description of problem:
starting up in KDE once enabling alsa for the system you discover a
HUGE quantity of white-noise coming from the speaker systems. It isn't
immediately apparent what the cause is, and the only way to adjust the
issue in KDE is using KDE's sound/volume control preferences (kmix),
hitting the Advanced button, and muting the IEC958 control checkbox. 

I don't offhand know what this particular control is for, and have
little interest in digging further considering the amount of noise
generated by it unmuted, but would like to recommend that the default
setting be muted for users launching KDE for the first time, with this
sound-chip.

Version-Release number of selected component (if applicable):
alsa-utils-1.0.3-1

How reproducible:
Always

Steps to Reproduce:
1. install the below mentioned card
2. install FC2
3. boot system and log into X, instructing GDM to start KDE for the
first time
    

Actual Results:  LOUD white-noise emanates from the speaker, requiring
the disabling of IEC958 under the advanced button in the kde sound
preferences (kmix , part of kdemultimedia-3.2.2-2 )

Expected Results:  quiet, normal system volume

Additional info:

lspci reports
00:0b.0 Multimedia audio controller: Ensoniq 5880 AudioPCI (rev 02)

the actual card is a Creative Labs SoundBlaster PCI 128 

The system itself here was upgraded from FC1 to FC2, and after
initially resolving the problems with /dev/snd/* needing to be
represented in /etc/security/console.perms under the <sound> macro so
that running alsamixer (and figuring out how to use that) or
gnome-volume-control or kmix would allow me to configure the system
volumes as a *user*, I had thought the issue resolved until one of my
users logged in (his setup defaults to KDE -- I use blackbox myself
and others on this system use gnome).
Comment 1 Bill Nottingham 2004-10-15 12:15:16 EDT
alsa drivers start muted in general. If it's starting with volume,
either a) someone saved the volume in that state, or b) some other app
is unmuting it.

If it's only happening in KDE, assigning to kdemultimedia.
Comment 2 Christopher Stone 2004-10-20 17:35:45 EDT
I get this bug with my soundcard on my secondary machine.  It has an
Ensoniq 5880 AudioPCI card.  Disabling IEC958 fixes the problem for me
as well.

Note, the static occurs regardless of the volume setting.  We all know
at this point that KDE resets volume to zero upon startup anyway.
Comment 3 Petr Rockai 2005-03-21 03:53:12 EST
Could you please try reproducing on fc3 or rawhide? I suspect this was fixed 
upstream some time ago. (And yes, it is kmix's fault, i have hit that before). 
Comment 4 Scott R. Godin 2006-08-30 12:20:33 EDT
no longer a factor on FC5. not sure exactly which release of alsa-utils 
resolved it, but I've marked it with the current release.

Note You need to log in before you can comment on or make changes to this bug.